Page MenuHomePhabricator

[ARM] Add option to force fast-isel
ClosedPublic

Authored by olista01 on Sep 21 2015, 3:27 AM.

Details

Reviewers
echristo
Summary

The ARM backend has some logic that only allows the fast-isel to be enabled for subtargets where it is known to be stable. This adds a backend option to override this and force the fast-isel to be used for any target, to allow it to be tested.

This is an ARM-specific option, because no other backend disables the fast-isel on a per-subtarget basis.

Diff Detail

Event Timeline

olista01 updated this revision to Diff 35220.Sep 21 2015, 3:27 AM
olista01 retitled this revision from to [ARM] Add option to force fast-isel.
olista01 updated this object.
olista01 added a reviewer: echristo.
olista01 set the repository for this revision to rL LLVM.
olista01 added a subscriber: llvm-commits.
echristo accepted this revision.Sep 22 2015, 5:09 PM
echristo edited edge metadata.

By "for testing only" I assume you mean "build some stuff I've got" rather than "for use in llvm/tests" right?

On the assumption your answer is "yes", LGTM and thanks!

-eric

This revision is now accepted and ready to land.Sep 22 2015, 5:09 PM

By "for testing only" I assume you mean "build some stuff I've got" rather than "for use in llvm/tests" right?

Yep, this is to allow me to run csmith on some bare-metal targets.

Committed revision 248369.

olista01 closed this revision.Sep 24 2015, 8:59 AM